MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
UPnPService Struct Reference

UPnP Description phase: interpreting the device description which we downloaded from the URL obtained by the discovery phase. More...

`#include <Device.hxx>`

## Public Member Functions
void | clear ()

## Data Fields
std::string | serviceType
std::string | controlURL

## Detailed Description

UPnP Description phase: interpreting the device description which we downloaded from the URL obtained by the discovery phase.

Data holder for a UPnP service, parsed from the XML description downloaded after discovery yielded its URL.

Definition at line 35 of file Device.hxx.

## Member Function Documentation

void UPnPService::clear | ( |  | ) |
| inline

Definition at line 40 of file Device.hxx.

## Field Documentation

std::string UPnPService::controlURL

Definition at line 38 of file Device.hxx.

std::string UPnPService::serviceType

Definition at line 37 of file Device.hxx.

The documentation for this struct was generated from the following file:

- lib/upnp/Device.hxx